<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:label="satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_RevenueFromSaleOfMerchandises" xlink:label="satisgroup_RevenueFromSaleOfMerchandises" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_CostsOfGoodsSoldAndServicesRendered" xlink:label="satisgroup_CostsOfGoodsSoldAndServicesRendered" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_ProfitLossFromSales" xlink:label="satisgroup_ProfitLossFromSales" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_GainLossesOnDisposalsOfReceivables" xlink:label="satisgroup_GainLossesOnDisposalsOfReceivables" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" xlink:label="satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" xlink:label="satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_InflowsOfCashFromFinancingActivities" xlink:label="satisgroup_InflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" xlink:label="satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OutflowsOfCashFromFinancingActivities" xlink:label="satisgroup_OutflowsOfCashFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" xlink:label="satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_NetProfitMember" xlink:label="satisgroup_NetProfitMember" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_ImpairmentOffIssuedCapital" xlink:label="satisgroup_ImpairmentOffIssuedCapital" />
    <loc xlink:type="locator" xlink:href="satisgroup-2023-12-31.xsd#satisgroup_Other" xlink:label="satisgroup_Other" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:to="label_satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_RevenueFromSaleOfMerchandises" xlink:to="label_satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_CostsOfGoodsSoldAndServicesRendered" xlink:to="label_satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_ProfitLossFromSales" xlink:to="label_satisgroup_satisgroupProfitLossFromSales_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_GainLossesOnDisposalsOfReceivables" xlink:to="label_satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" xlink:to="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" xlink:to="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_InflowsOfCashFromFinancingActivities" xlink:to="label_satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" xlink:to="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OutflowsOfCashFromFinancingActivities" xlink:to="label_satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" xlink:to="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_NetProfitMember" xlink:to="label_NetProfitMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_ImpairmentOffIssuedCapital" xlink:to="label_satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="satisgroup_Other" xlink:to="label_satisgroup_satisgroupOther_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" id="satisgroup_satisgroupRevenueFromSaleOfGoodsAndRenderingOfServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Revenue from sale of goods and rendering of services</label>
    <label xlink:label="label_satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" id="satisgroup_satisgroupRevenueFromSaleOfMerchandises_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Revenue from sale of merchandises</label>
    <label xlink:label="label_satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" id="satisgroup_satisgroupCostsOfGoodsSoldAndServicesRendered_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Costs of goods sold and services rendered</label>
    <label xlink:label="label_satisgroup_satisgroupProfitLossFromSales_Standard" id="satisgroup_satisgroupProfitLossFromSales_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) from sales</label>
    <label xlink:label="label_satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" id="satisgroup_satisgroupGainLossesOnDisposalsOfReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gain (losses) on disposals of receivables</label>
    <label xlink:label="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" id="satisgroup_satisgroupOtherInflowsOfCashClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other inflows of cash classified as operating activities</label>
    <label xlink:label="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" id="satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other outflows of cash classified as operating activities</label>
    <label xlink:label="label_satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" id="satisgroup_satisgroupInflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Inflows of cash from financing activities</label>
    <label xlink:label="label_satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" id="satisgroup_satisgroupOtherInflowsOfCashClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other inflows of cash classified as financing activities</label>
    <label xlink:label="label_satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" id="satisgroup_satisgroupOutflowsOfCashFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Outflows of cash from financing activities</label>
    <label xlink:label="label_satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" id="satisgroup_satisgroupOtherOutflowsOfCashClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other outflows of cash classified as financing activities</label>
    <label xlink:label="label_NetProfitMember" id="NetProfitMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net profit [member]</label>
    <label xlink:label="label_satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" id="satisgroup_satisgroupImpairmentOffIssuedCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impairment off issued capital</label>
    <label xlink:label="label_satisgroup_satisgroupOther_Standard" id="satisgroup_satisgroupOther_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other</label>
  </labelLink>
</linkbase>